--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: The tactical_eager_loading plugin allows you to eagerly load an association for all objects retrieved from the same dataset without calling eager on the dataset. If you attempt to load associated objects for a record and the association for that object is currently not cached, it assumes you want to get the associated objects for all objects retrieved with the dataset that retrieved the current object.
- !ruby/struct:SM::Flow::P 
  body: Tactical eager loading only takes affect if you retrieved the current object with Dataset#all, it doesn't work if you retrieved the current object with Dataset#each.
- !ruby/struct:SM::Flow::P 
  body: "Basically, this allows the following code to issue only two queries:"
- !ruby/struct:SM::Flow::VERB 
  body: "  Album.filter{id&lt;100}.all do |a|\n    a.artists\n  end\n"
constants: []

full_name: Sequel::Plugins::TacticalEagerLoading
includes: []

instance_methods: []

name: TacticalEagerLoading
superclass: 
